﻿$ErrorActionPreference = 'Stop';
 
$packageName = 'ipinfo'
$toolsDir = Split-Path -Parent $MyInvocation.MyCommand.Definition

$packageArgs = @{
    packageName    = $packageName
    url64          = 'https://github.com/ipinfo/cli/releases/download/ipinfo-3.3.1/ipinfo_3.3.1_windows_amd64.zip'
    checksum64     = 'fd72d65840c4f5e15767cf30d4aea8bd584e3e049fb81f0c8227c82c203b810f'
    checksumType64 = 'sha256'
    url            = 'https://github.com/ipinfo/cli/releases/download/ipinfo-3.3.1/ipinfo_3.3.1_windows_386.zip'
    checksumType   = 'sha256'
    checksum       = '991954e6881715ba0788478309ad733ae3ec8588701021d38994c23b1fba8c78'
    destination    = $toolsDir
}

$targetPath = Join-Path -Path $toolsDir -ChildPath "ipinfo.exe"
if (Test-Path $targetPath) {
    Remove-Item $targetPath
}
Install-ChocolateyZipPackage @packageArgs
Get-ChildItem -Path $toolsDir -Filter "ipinfo*.exe" | Rename-Item  -NewName "ipinfo.exe"
